Package oracle.dbtools.plugin.api.errors

## Class ProductErrorMessage

- java.lang.Object
- - oracle.dbtools.plugin.api.errors.ProductErrorMessage

-     public final class ProductErrorMessage
      extends java.lang.Object

  Describes a standard Oracle Error Message which must be of the form:

       PREFIX-nnnnn [PROBLEM] Cause: [CAUSE] Action: [ACTION]

  - The prefix must be a alphabetic string identifying the product from which the error originates
  - The code must be a 5 digit zero padded integer, each error condition must have a unique code
  - Each error message must have a localizable description of the problem
  - Each error message must have a localizable description of the cause of the problem
  - Each error message must have a localizable description of how to fix the problem
  Author:
    cdivilly

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `ProductErrorMessage.Identifier` | Represents the unique identifier for a `ProductErrorMessage`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Translatable` | `action()` | Describes how to fix the problem
    `Translatable` | `cause()` | Describes the cause of the problem
    `boolean` | `equals​(java.lang.Object obj)` |
    `int` | `hashCode()` |
    `ProductErrorMessage.Identifier` | `id()` | Provides the unique error code
    `Translatable` | `message()` | Description of the error condition
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### action

          public Translatable action()

      Describes how to fix the problem
      Returns:
        `Translatable` instance

    - #### cause

          public Translatable cause()

      Describes the cause of the problem
      Returns:
        `Translatable` instance

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### id

          public ProductErrorMessage.Identifier id()

      Provides the unique error code
      Returns:

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### message

          public Translatable message()

      Description of the error condition
      Returns:
        `Translatable` instance

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`